      program twogamex
c
c  fit taken from 
c
      implicit none
c
      real*8 a_gep(3),a_gmp(3)
      real*8 b_gep(5),b_gmp(5)
      real*8 gep,gmp
      real*8 gd,suma,sumb,q2max,q2step,q2,tau
      integer q2num,i,na,nb
      
c
      data a_gep / 3.439d00,-1.602d00,0.068d00 /
      data a_gmp / -1.465d00, 1.260d00, 0.262d00 /
c
      data b_gep / 15.055d00, 48.061d00, 99.304d00,0.012d00,8.650d00 /
      data b_gmp / 9.627d00, 0.0d00, 0.0d00,11.179d00,13.245d00 /
c
      q2max=10.
      q2step=.1
      q2num=int(q2max/q2step)
      q2 = 0
      do i=1,q2num
            q2= q2+q2step
            tau=q2/4./.93827/.93827
            suma=1.0d00
            do na=1,3
               suma=suma+a_gep(na)*tau**(na)
            enddo
            sumb=1.0d00
            do nb=1,5
               sumb=sumb+b_gep(nb)*tau**(nb)
            enddo
            gep=suma/sumb
            suma=1.0d00
            do na=1,3
               suma=suma+a_gmp(na)*tau**(na)
            enddo
            sumb=1.0d00
            do nb=1,5
               sumb=sumb+b_gmp(nb)*tau**(nb)
            enddo
            gmp=suma/sumb
            gd=1.0d00/(1+q2/.71)/(1+q2/.71)
            write(10,'(4(f7.4,1x))') q2,gep/gd,gmp/gd,gep/gmp
        enddo
c
        end
